RINT(3)

NAME
nearbyint, nearbyintf, nearbyintl, rint, rintf, rintl - round to integral value in floating-point format

SYNOPSIS
libm
#include <math.h>
double
nearbyint(double x);
float
nearbyintf(float x);
long double
nearbyintl(long double x);
double
rint(double x);
float
rintf(float x);
long double
rintl(long double x);

DESCRIPTION
The rint(), rintf(), and rintl() functions return the integral value nearest to x according to the prevailing rounding mode.

The nearbyint(), nearbyintf(), and nearbyintl() functions do the same, but without raising the “inexact” floating-point exception.

SEE ALSO
abs(3), ceil(3), fabs(3), floor(3)

HISTORY
A rint() function appeared in AT&T UNIX.